import request from "@/utils/request";

// 查询舆情走势图列表
export function listZs(query) {
  return request({
    url: "/zongzhi/zs/list",
    method: "get",
    params: query,
  });
}

// 查询舆情走势图详细
export function getZs(id) {
  return request({
    url: "/zongzhi/zs/" + id,
    method: "get",
  });
}

// 新增舆情走势图
export function addZs(data) {
  return request({
    url: "/zongzhi/zs",
    method: "post",
    data: data,
  });
}

// 修改舆情走势图
export function updateZs(data) {
  return request({
    url: "/zongzhi/zs",
    method: "put",
    data: data,
  });
}

// 删除舆情走势图
export function delZs(id) {
  return request({
    url: "/zongzhi/zs/" + id,
    method: "delete",
  });
}

// 导出舆情走势图
export function exportZs(data) {
  return request({
    url: "/zongzhi/zs/export",
    method: "post",
    data,
  });
}
